<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'bigbluebuttonbn', language 'lo', version '2.7'.
 *
 * @package     bigbluebuttonbn
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['activityoverview'] = 'ທ່ານມີຊ່ວງເວລາ bigbluebuttonbn ທີ່ຈະມາເຖິງ';
$string['bbbduetimeoverstartingtime'] = 'ເວລາກຳນົດສຳລັບກິດຈະກຳນີ້ຈະຕ້ອງຫຼາຍກວ່າເວລາເລີ່ມຕົ້ນ';
$string['bbbdurationwarning'] = 'ໄລຍະເວລາສູງສຸດສຳລັບຊ່ວງເວລານີ້ແມ່ນ %duration% ນາທີ.';
$string['bbbrecordwarning'] = 'ຊ່ວງເວລານີ້ອາດຖືກບັນທຶກ';
$string['bigbluebuttonbn'] = 'BigBlueButton';
$string['bigbluebuttonbn:managerecordings'] = 'ຈັດການການບັນທຶກ';
$string['config_extended_capabilities'] = 'ການຕັ້ງຄ່າສໍາລັບຄວາມສາມາດຂະຫຍາຍ';
$string['config_extended_capabilities_description'] = 'ການຕັ້ງຄ່າຄວາມສາມາດຂະຫຍາຍເມື່ອເຊີບເວີ BigBlueButton ສະເໜີໃຫ້ເຂົາເຈົ້າ.';
$string['config_general'] = 'ການຕັ້ງຄ່າທົ່ວໄປ';
$string['config_general_description'] = 'ການຕັ້ງຄ່າເຫຼົ່ານີ້ຖືກນໍາໃຊ້ <b>ສະເຫມີໄປ</b>';
$string['config_scheduled'] = 'ການຕັ້ງຄ່າສຳລັບ "ຊ່ວງເວລາທີ່ກໍານົດໄວ້"';
$string['config_scheduled_description'] = 'ການຕັ້ງຄ່າເຫຼົ່ານີ້ກໍານົດບາງພຶດຕິກໍາຕາມຄ່າເລີ່ມຕົ້ນສໍາລັບຊ່ວງເວລາທີ່ກໍານົດ.';
$string['config_scheduled_pre_opening'] = 'ເຂົ້າເຖິງໄດ້ກ່ອນເວລາເປີດ (ນາທີ)';
$string['config_scheduled_pre_opening_description'] = 'ເວລາເປັນນາທີເພື່ອໃຫ້ຊ່ວງເວລາສາມາດເຂົ້າເຖິງໄດ້ກ່ອນຮອດກຳນົດເວລາເປີດກຳນົດໝາຍ.';
$string['config_server_url'] = 'URL ຂອງເຊີເວີ BigBlueButton';
$string['config_server_url_description'] = 'URL ຂອງເຊີບເວີ BigBlueButton ຂອງທ່ານຕ້ອງລົງທ້າຍດ້ວຍ /bigbluebutton/. (URL ເລີ່ມຕົ້ນນີ້ ແມ່ນສຳລັບເຊີບເວີ BigBlueButton ທີ່ສະໜອງໃຫ້ໂດຍ Blindside Networks ທີ່ທ່ານສາມາດໃຊ້ເພື່ອທົດສອບໄດ້.)';
$string['config_shared_secret'] = 'ຄວາມລັບຂອງການແບ່ງປັນ BigBlueButton';
$string['config_shared_secret_description'] = 'ເກືອຄວາມປອດໄພຂອງເຊີບເວີ BigBlueButton ຂອງທ່ານ. (ເກືອມາດຕະຖານນີ້ ແມ່ນສໍາລັບເຊີເວີຂອງ BigBlueButton ທີ່ສະໝອງໂດຍ Blindside Networks ທີ່ທ່ານສາມາດນໍາໃຊ້ສໍາລັບການທົດສອບ.)';
$string['config_warning_curl_not_installed'] = 'ຄຸນສົມບັດນີ້ຕ້ອງການສ່ວນຂະຫຍາຍ CURL ສໍາລັບ php ທີ່ຕິດຕັ້ງ ແລະ ເປີດໃຊ້ງານ. ການຕັ້ງຄ່າຈະສາມາດເຂົ້າເຖິງໄດ້ພຽງແຕ່ຖ້າເງື່ອນໄຂນີ້ຖືກປະຕິບັດ.';
$string['ends_at'] = 'ສິ້ນສຸດ';
$string['event_recording_deleted'] = 'ລຶບການບັນທຶກແລ້ວ';
$string['event_recording_imported'] = 'ນຳເຂົ້າການບັນທຶກແລ້ວ';
$string['event_recording_published'] = 'ເຜີຍແຜ່ການບັນທຶກແລ້ວ';
$string['event_recording_unpublished'] = 'ຍົກເລີກການເຜີຍແຜ່ການບັນທຶກແລ້ວ';
$string['index_confirm_end'] = 'ທ່ານຕ້ອງການທີ່ຈະສິ້ນສຸດຫ້ອງຮຽນສະເໝືອນຈິງນີ້ບໍ?';
$string['index_disabled'] = 'ປິດໃຊ້ງານແລ້ວ';
$string['index_enabled'] = 'ເປີດໃຊ້ງານແລ້ວ';
$string['index_ending'] = 'ການສິ້ນສຸດຫ້ອງຮຽນສະເໝືອນຈິງ ... ກະລຸນາລໍຖ້າ';
$string['index_error_checksum'] = 'ເກີດຄວາມຜິດພາດກັບ checksum. ໃຫ້ແນ່ໃຈວ່າທ່ານໃສ່ເກືອທີ່ຖືກຕ້ອງ.';
$string['index_error_forciblyended'] = 'ບໍ່ສາມາດເຂົ້າຮ່ວມກອງປະຊຸມນີ້ເນື່ອງຈາກວ່າ ມັນໄດ້ຖືກສິ້ນສຸດດ້ວຍຕົນເອງ.';
$string['index_error_unable_display'] = 'ບໍ່ສາມາດສະແດງກອງປະຊຸມໄດ້. ກະລຸນາກວດເບິ່ງ url ຂອງເຊີບເວີ BigBlueButton ແລະ ກວດເບິ່ງວ່າເຊີບເວີ BigBlueButton ເຮັດວຽກໄດ້ຫຼືບໍ່.';
$string['index_heading'] = 'ຫ້ອງ BigBlueButton';
$string['index_heading_actions'] = 'ປະຕິບັດ';
$string['index_heading_group'] = 'ກຸ່ມ';
$string['index_heading_moderator'] = 'ຜູ້ຄວບຄຸມ';
$string['index_heading_name'] = 'ຫ້ອງ';
$string['index_heading_recording'] = 'ການບັນທຶກ';
$string['index_heading_users'] = 'ຜູ້ໃຊ້';
$string['index_heading_viewer'] = 'ຜູ້ເບິ່ງ';
$string['mod_form_block_general'] = 'ການຕັ້ງຄ່າທົ່ວໄປ';
$string['mod_form_block_participants'] = 'ໜ້າທີ່ຖືກແຕ່ງຕັ້ງໃນເວລາຖ່າຍທອດສົດ';
$string['mod_form_block_presentation'] = 'ເນື້ອຫາການນຳສະເໜີ';
$string['mod_form_block_record'] = 'ການຕັ້ງຄ່າການນຳສະເໜີ';
$string['mod_form_block_schedule'] = 'ກຳນົດເວລາສຳລັບຊ່ວງເວລາ';
$string['mod_form_field_closingtime'] = 'ປິດການເຂົ້າຮ່ວມແລ້ວ';
$string['mod_form_field_conference_name'] = 'ຊື່ກອງປະຊຸມ';
$string['mod_form_field_duration'] = 'ໄລຍະເວລາ';
$string['mod_form_field_duration_help'] = 'ກໍານົດໄລຍະເວລາສໍາລັບການປະຊຸມຈະກໍານົດເວລາສູງສຸດສໍາລັບການປະຊຸມເພື່ອຮັກສາໃຫ້ມີຊີວິດກ່ອນທີ່ຈະສໍາເລັດການບັນທຶກ.';
$string['mod_form_field_intro'] = 'ຄຳອະທິບາຍ';
$string['mod_form_field_intro_help'] = 'ຄໍາອະທິບາຍສັ້ນໆສໍາລັບຫ້ອງ ຫຼື ກອງປະຊຸມ.';
$string['mod_form_field_name'] = 'ຊື່ຫ້ອງຮຽນສະເໝືອນຈິງ';
$string['mod_form_field_notification_msg_at'] = 'ທີ່';
$string['mod_form_field_openingtime'] = 'ເປີດການຮ່ວມ';
$string['mod_form_field_participant_add'] = 'ເພີ່ມການມອບໝາຍ';
$string['mod_form_field_participant_bbb_role_moderator'] = 'ຜູ້ຄວບຄຸມ';
$string['mod_form_field_participant_bbb_role_viewer'] = 'ຜູ້ເບິ່ງ';
$string['mod_form_field_participant_list'] = 'ລາຍຊື່ການມອບໝາຍ';
$string['mod_form_field_participant_list_action_add'] = 'ເພີ່ມ';
$string['mod_form_field_participant_list_action_remove'] = 'ເອົາອອກ';
$string['mod_form_field_participant_list_text_as'] = 'ຮ່ວມກອງປະຊຸມເປັນ';
$string['mod_form_field_participant_list_type_all'] = 'ລົງທະບຽນຮຽນຜູ້ໃຊ້ທັງໝົດ';
$string['mod_form_field_participant_list_type_owner'] = 'ເຈົ້າຂອງ';
$string['mod_form_field_participant_list_type_role'] = 'ໜ້າທີ່';
$string['mod_form_field_participant_list_type_user'] = 'ຜູ້ໃຊ້';
$string['mod_form_field_record'] = 'ກອງປະຊຸມສາມາດຖືກບັນທຶກ';
$string['mod_form_field_room_name'] = 'ຊື່ຫ້ອງ';
$string['mod_form_field_userlimit'] = 'ຈຳກັດຜູ້ໃຊ້';
$string['mod_form_field_userlimit_help'] = 'ຈຳກັດຜູ້ໃຊ້ສູງສຸດທີ່ອະນຸຍາດໃຫ້ຢູ່ໃນກອງປະຊຸມ. ຖ້າກໍານົດຂອບເຂດຈໍາກັດເປັນ 0 ຈໍານວນຜູ້ໃຊ້ຈະບໍ່ຈໍາກັດ.';
$string['mod_form_field_voicebridge'] = 'ຂົວສຽງ [####]';
$string['mod_form_field_voicebridge_format_error'] = 'ຮູບແບບຜິດພາດ. ທ່ານຄວນໃສ່ຕົວເລກລະຫວ່າງ 1 ຫາ 9999.';
$string['mod_form_field_voicebridge_help'] = 'ໝາຍເລກການປະຊຸມທາງສຽງທີ່ຜູ້ເຂົ້າຮ່ວມໃສ່ເພື່ອເຂົ້າຮ່ວມກອງປະຊຸມສຽງເມື່ອໃຊ້ການໂທເຂົ້າ. ຕ້ອງພິມຕົວເລກລະຫວ່າງ 1 ຫາ 9999. ຖ້າຄ່າແມ່ນ 0, ຕົວເລກສະຖິຕິ voicebridge ຈະບໍ່ສົນໃຈ ແລະ ຕົວເລກສຸ່ມຈະຖືກສ້າງຂຶ້ນໂດຍ BigBlueButton. ຕົວເລກ 7 ຈະນຳໜ້າສີ່ຕົວເລກທີ່ພິມ';
$string['mod_form_field_voicebridge_notunique_error'] = 'ບໍ່ແມ່ນມູນຄ່າທີ່ເປັນເອກະລັກ. ຕົວເລກນີ້ຖືກໃຊ້ໂດຍຫ້ອງອື່ນ ຫຼື ກອງປະຊຸມ.';
$string['mod_form_field_wait'] = 'ລໍຖ້າສຳລັບຜູ້ຄວບຄຸມ';
$string['mod_form_field_wait_help'] = 'ຜູ້ຊົມຕ້ອງລໍຖ້າຈົນກ່ວາຜູ້ຄວບຄຸມເຂົ້າມາໃນກອງປະຊຸມກ່ອນທີ່ເຂົາເຈົ້າຈະເຮັດໄດ້';
$string['mod_form_field_welcome'] = 'ຂໍ້ຄວາມຕ້ອນຮັບ';
$string['mod_form_field_welcome_help'] = 'ແທນທີ່ຂໍ້ຄວາມເລີ່ມຕົ້ນທີ່ຕັ້ງໄວ້ສໍາລັບເຊີບເວີ BigBlueButton. ຂໍ້ຄວາມສາມາດປະກອບມີຄໍາສໍາຄັນ (%%CONFNAME%%, %%DIALNUM%%, %%CONFNUM%%) ເຊິ່ງຈະຖືກປ່ຽນແທນໂດຍອັດຕະໂນມັດ, ແລະ ຍັງແທັກ html ເຊັ່ນ: &lt;b>...&lt;/b>, &lt;br />, &lt;u>&lt;/u> or &lt;i>&lt;/i>';
$string['modulename'] = 'BigBlueButton';
$string['modulenameplural'] = 'BigBlueButton';
$string['pluginadministration'] = 'ການບໍລິຫານ BigBlueButton';
$string['pluginname'] = 'BigBlueButton';
$string['started_at'] = 'ເລີ່ມຕົ້ນແລ້ວ';
$string['starts_at'] = 'ເລີ່ມຕົ້ນ';
$string['view_conference_action_end'] = 'ສິ້ນສຸດການປະຊຸມ';
$string['view_conference_action_join'] = 'ເຂົ້າຮ່ວມການປະຊຸມ';
$string['view_error_bigbluebutton'] = 'BigBlueButton ຕອບສະໜອງດ້ວຍຄວາມຜິດພາດ. {$a}';
$string['view_error_create'] = 'ເຊີບເວີ BigBlueButton ຕອບກັບດ້ວຍຂໍ້ຄວາມສະແດງຂໍ້ຜິດພາດ, ການປະຊຸມບໍ່ສາມາດສ້າງໄດ້.';
$string['view_error_import_no_courses'] = 'ບໍ່ມີວິຊາທີ່ຈະຊອກຫາການບັນທຶກ';
$string['view_error_import_no_recordings'] = 'ບໍ່ມີການບັນທຶກໃນລາຍວິຊານີ້ສໍາລັບການນໍາເຂົ້າ';
$string['view_error_max_concurrent'] = 'ຮອດຈຳນວນການປະຊຸມພ້ອມກັນທີ່ອະນຸຍາດແລ້ວ.';
$string['view_error_no_group'] = 'ຍັງບໍ່ມີກຸ່ມທີ່ກຳນົດຄ່າເທື່ອ. ກະລຸນາຕັ້ງກຸ່ມກ່ອນທີ່ຈະພະຍາຍາມເຂົ້າຮ່ວມກອງປະຊຸມ.';
$string['view_error_no_group_student'] = 'ທ່ານຍັງບໍ່ໄດ້ລົງທະບຽນຮຽນຢູ່ໃນກຸ່ມ. ກະລຸນາຕິດຕໍ່ຄູສອນ ຫຼື ຜູ້ເບິ່ງແຍງລະບົບຂອງທ່ານ.';
$string['view_error_no_group_teacher'] = 'ຍັງບໍ່ມີກຸ່ມທີ່ກຳນົດຄ່າເທື່ອ. ກະລຸນາຕັ້ງກຸ່ມ ຫຼື ຕິດຕໍ່ຜູ້ເບິ່ງແຍງລະບົບ.';
$string['view_error_unable_join'] = 'ບໍ່ສາມາດເຂົ້າຮ່ວມກອງປະຊຸມໄດ້. ກະລຸນາກວດເບິ່ງ url ຂອງເຊີບເວີ BigBlueButton ແລະ ກວດເບິ່ງວ່າເຊີບເວີ BigBlueButton ເຮັດວຽກໄດ້ຫຼືບໍ່.';
$string['view_error_unable_join_student'] = 'ບໍ່ສາມາດເຊື່ອມຕໍ່ກັບເຊີບເວີ BigBlueButton ໄດ້. ກະລຸນາຕິດຕໍ່ຄູສອນ ຫຼື ຜູ້ເບິ່ງແຍງລະບົບຂອງທ່ານ.';
$string['view_error_unable_join_teacher'] = 'ບໍ່ສາມາດເຊື່ອມຕໍ່ກັບເຊີບເວີ BigBlueButton ໄດ້. ກະລຸນາຕິດຕໍ່ຜູ້ເບິ່ງແຍງລະບົບ.';
$string['view_error_url_missing_parameters'] = 'ບໍ່ມີຕົວກໍານົດການຢູ່ໃນ URL ນີ້';
$string['view_error_userlimit_reached'] = 'ຮອດຈຳນວນຜູ້ໃຊ້ທີ່ອະນຸຍາດໃນກອງປະຊຸມແລ້ວ.';
$string['view_groups_selection'] = 'ເລືອກກຸ່ມທີ່ທ່ານຕ້ອງການທີ່ຈະເຂົ້າຮ່ວມ ແລະ ຢືນຢັນການດໍາເນີນການ';
$string['view_groups_selection_join'] = 'ເຂົ້າຮ່ວມ';
$string['view_login_moderator'] = 'ກຳລັງເຂົ້າສູ່ລະບົບເປັນຜູ້ຄວບຄຸມ ...';
$string['view_login_viewer'] = 'ກຳລັງເຂົ້າສູ່ລະບົບເປັນຜູ້ເບິ່ງ ...';
$string['view_message_conference_has_ended'] = 'ກອງປະຊຸມນີ້ໄດ້ສິ້ນສຸດແລ້ວ';
$string['view_message_conference_in_progress'] = 'ກອງປະຊຸມນີ້ພວມດຳເນີນຢູ່.';
$string['view_message_conference_not_started'] = 'ກອງປະຊຸມນີ້ຍັງບໍ່ທັນໄດ້ເລີ່ມຕົ້ນເທື່ອ.';
$string['view_message_conference_room_ready'] = 'ຫ້ອງປະຊຸມນີ້ພ້ອມແລ້ວ. ທ່ານສາມາດເຂົ້າຮ່ວມກອງປະຊຸມໄດ້ໃນປັດຈຸບັນ.';
$string['view_message_conference_wait_for_moderator'] = 'ກຳລັງລໍຖ້າຜູ້ຄວບຄຸມເຂົ້າຮ່ວມ.';
$string['view_message_finished'] = 'ກິດຈະກຳນີ້ຈົບແລ້ວ.';
$string['view_message_has_joined'] = 'ໄດ້ເຂົ້າຮ່ວມແລ້ວ';
$string['view_message_have_joined'] = 'ໄດ້ເຂົ້າຮ່ວມ';
$string['view_message_hour'] = 'ຊົ່ວໂມງ';
$string['view_message_hours'] = 'ຊົ່ວໂມງ';
$string['view_message_minute'] = 'ນາທີ';
$string['view_message_minutes'] = 'ນາທີ';
$string['view_message_moderator'] = 'ຜູ້ຄວບຄຸມ';
$string['view_message_moderators'] = 'ຜູ້ຄວບຄຸມ';
$string['view_message_notavailableyet'] = 'ຊ່ວງເວລານີ້ນີ້ຍັງບໍ່ທັນມີເທື່ອ.';
$string['view_message_room_closed'] = 'ຫ້ອງນີ້ປິດຢູ່.';
$string['view_message_room_open'] = 'ຫ້ອງນີ້ເປີດຢູ່.';
$string['view_message_room_ready'] = 'ຫ້ອງນີ້ພ້ອມແລ້ວ.';
$string['view_message_session_has_user'] = 'ມີ';
$string['view_message_session_has_users'] = 'ມີ';
$string['view_message_session_no_users'] = 'ບໍ່ມີຜູ້ໃຊ້ໃນຊ່ວງເວລານີ້';
$string['view_message_session_running_for'] = 'ກອງປະຊຸມນີ້ໄດ້ຖືກດໍາເນີນການສໍາລັບ';
$string['view_message_session_started_at'] = 'ກອງປະຊຸມນີ້ໄດ້ເລີ່ມຕົ້ນທີ່';
$string['view_message_tab_close'] = 'ແຖບ/ໜ້າຈໍນີ້ຕ້ອງຖືກປິດດ້ວຍຕົນເອງ';
$string['view_message_user'] = 'ຜູ້ໃຊ້';
$string['view_message_users'] = 'ຜູ້ໃຊ້';
$string['view_message_viewer'] = 'ຜູ້ເບິ່ງ';
$string['view_message_viewers'] = 'ຜູ້ເບິ່ງ';
$string['view_noguests'] = 'BigBlueButton ບໍ່ເປີດໃຫ້ແຂກ';
$string['view_nojoin'] = 'ທ່ານບໍ່ໄດ້ຢູ່ໃນບົດບາດທີ່ໄດ້ຮັບອະນຸຍາດໃຫ້ເຂົ້າຮ່ວມຊ່ວງເວລານີ້.';
$string['view_recording'] = 'ການບັນທຶກ';
$string['view_recording_actionbar'] = 'ແຖບເຄື່ອງມື';
$string['view_recording_activity'] = 'ກິດຈະກຳ';
$string['view_recording_button_import'] = 'ນຳເຂົ້າລິ້ງການບັນທຶກ';
$string['view_recording_button_return'] = 'ກັບຄືນ';
$string['view_recording_course'] = 'ລາຍວິຊາ';
$string['view_recording_date'] = 'ວັນທີ';
$string['view_recording_delete_confirmation'] = 'ທ່ານແນ່ໃຈບໍ່ວ່າຈະລຶບ {$a} ນີ້?';
$string['view_recording_delete_confirmation_warning_p'] = 'ການບັນທຶກນີ້ມີລິ້ງ {$a} ທີ່ເຊື່ອມໂຍງນຳເຂົ້າໃນວິຊາ ຫຼື ກິດຈະກຳຕ່າງໆ. ຖ້າການບັນທຶກໄດ້ຖືກລົບການເຊື່ອມຕໍ່ເຫຼົ່ານັ້ນຈະຖືກລົບອອກເຊັ່ນດຽວກັນ';
$string['view_recording_delete_confirmation_warning_s'] = 'ການບັນທຶກນີ້ມີລິ້ງ {$a} ທີ່ເຊື່ອມໂຍງນຳເຂົ້າມາໃນລາຍວິຊາ ຫຼື ກິດຈະກຳທີ່ແຕກຕ່າງກັນ. ຖ້າການບັນທຶກຖືກລົບລ້າງການເຊື່ອມຕໍ່ທີ່ຈະຖືກລົບອອກເຊັ່ນດຽວກັນ';
$string['view_recording_description'] = 'ຄຳອະທິບາຍ';
$string['view_recording_duration'] = 'ໄລຍະເວລາ';
$string['view_recording_duration_min'] = 'ນາທີ';
$string['view_recording_import_confirmation'] = 'ທ່ານແນ່ໃຈບໍ່ວ່າຈະນໍາເຂົ້າການບັນທຶກນີ້?';
$string['view_recording_length'] = 'ຄວາມຍາວ';
$string['view_recording_link_warning'] = 'ນີ້ແມ່ນການເຊື່ອມຕໍ່ທີ່ຊີ້ໄປຫາບັນທຶກທີ່ຖືກສ້າງຂຶ້ນໃນລາຍວິຊາ ຫຼື ກິດຈະກໍາທີ່ແຕກຕ່າງກັນ';
$string['view_recording_list_actionbar'] = 'ແຖບເຄື່ອງມື';
$string['view_recording_list_actionbar_delete'] = 'ລຶບ';
$string['view_recording_list_actionbar_hide'] = 'ເຊື່ອງ';
$string['view_recording_list_actionbar_publish'] = 'ເຜີຍແຜ່';
$string['view_recording_list_actionbar_show'] = 'ສະແດງ';
$string['view_recording_list_actionbar_unpublish'] = 'ຍົກເລີກເປັນສາທາລະນະ';
$string['view_recording_list_activity'] = 'ກິດຈະກຳ';
$string['view_recording_list_course'] = 'ລາຍວິຊາ';
$string['view_recording_list_date'] = 'ວັນທີ';
$string['view_recording_list_description'] = 'ຄຳອະທິບາຍ';
$string['view_recording_list_duration'] = 'ໄລຍະເວລາ';
$string['view_recording_list_recording'] = 'ການບັນທຶກ';
$string['view_recording_modal_button'] = 'ນຳໃຊ້';
$string['view_recording_modal_title'] = 'ກໍານົດຄ່າສໍາລັບການບັນທຶກ';
$string['view_recording_name'] = 'ຊື່';
$string['view_recording_recording'] = 'ການບັນທຶກ';
$string['view_recording_tags'] = 'ແທັກ';
$string['view_recording_unpublish_confirmation'] = 'ທ່ານແນ່ໃຈບໍ່ວ່າຈະຍົກເລີກການເຜີຍແຜ່ {$a} ນີ້?';
$string['view_recording_unpublish_confirmation_warning_p'] = 'ການບັນທຶກນີ້ມີລິ້ງ {$a} ທີ່ເຊື່ອມໂຍງທີ່ນຳເຂົ້າໃນວິຊາ ຫຼື ກິດຈະກຳຕ່າງໆ. ຖ້າການບັນທຶກຖືກຍົກເລີກການເຜີຍແຜ່ລິ້ງເຫຼົ່ານັ້ນຈະຖືກຍົກເລີກການເຜີຍແຜ່ເຊັ່ນກັນ';
$string['view_recording_unpublish_confirmation_warning_s'] = 'ການບັນທຶກນີ້ມີລິ້ງ {$a} ທີ່ເຊື່ອມໂຍງທີ່ນຳເຂົ້າມາໃນລາຍວິຊາ ຫຼື ການເຄື່ອນໄຫວອື່ນ. ຖ້າການບັນທຶກຖືກຍົກເລີກການເຜີຍແຜ່ລິ້ງນັ້ນຈະຖືກຍົກເລີກການເຜີຍແຜ່ເຊັ່ນກັນ';
$string['view_section_title_presentation'] = 'ໄຟລ໌ການສະເໜີ';
$string['view_section_title_recordings'] = 'ການບັນທຶກ';
