<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'editor_atto', language 'lo', version '2.7'.
 *
 * @package     editor_atto
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['editor_command_keycode'] = 'Cmd + {$a}';
$string['editor_control_keycode'] = 'Ctrl + {$a}';
$string['errorcannotparseline'] = 'ເສັ້ນ \'{$a}\' ບໍ່ໄດ້ຢູ່ໃນຮູບແບບທີ່ຖືກຕ້ອງ.';
$string['errorgroupisusedtwice'] = 'ກຸ່ມ \'{$a}\' ຖືກກຳນົດສອງຄັ້ງ; ຊື່ກຸ່ມຕ້ອງເປັນເອກະລັກ.';
$string['errornopluginsorgroupsfound'] = 'ບໍ່ພົບປລັກອິນ ຫຼື ກຸ່ມ; ກະລຸນາເພີ່ມບາງກຸ່ມ ຫຼື ປລັກອິນ.';
$string['errorpluginisusedtwice'] = 'ປລັກອິນ \'{$a}\' ຖືກກຳນົດສອງຄັ້ງ; ປລັກອິນສາມາດກຳນົດໄດ້ເທື່ອດຽວເທົ່ານັ້ນ.';
$string['errorpluginnotfound'] = 'ປລັກອິນ \'{$a}\' ບໍ່ສາມາດຖືກນຳໃຊ້; ມັນຍັງບໍປະກົດວ່າໄດ້ຖືກຕິດຕັ້ງ.';
$string['plugin_title_shortcut'] = '{$a->title} [{$a->shortcut}]';
$string['pluginname'] = 'ຕົວແກ້ໄຂ Atto HTML';
$string['settings'] = 'ການຕັ້ງຄ່າແຖບເຄື່ອງມື Atto';
$string['subplugintype_atto'] = 'ປລັກອິນ Atto';
$string['subplugintype_atto_plural'] = 'ປລັກອິນ Atto';
$string['toolbarconfig'] = 'ການກຳນົດຄ່າແຖບເຄື່ອງມື';
$string['toolbarconfig_desc'] = 'ລາຍຊື່ປລັກອິນ ແລະ ຄໍາສັ່ງທີ່ພວກມັນຖືກສະແດງສາມາດຕັ້ງຄ່າໄດ້ທີ່ນີ້. ການຕັ້ງຄ່າປະກອບດ້ວຍກຸ່ມ (ໜຶ່ງຕໍ່ແຖວ) ຕິດຕາມມາດ້ວຍລາຍການຄໍາສັ່ງຂອງປລັກອິນສໍາລັບກຸ່ມນັ້ນ. ກຸ່ມຖືກແຍກອອກຈາກປລັກອິນທີ່ມີເຄື່ອງໝາຍເທົ່າທຽມກັນ ແລະ ປລັກອິນຖືກແຍກດ້ວຍເຄື່ອງາຍຈຸດ. ຊື່ກຸ່ມຕ້ອງບໍ່ຊໍ້າກັນ ແລະ ຄວນບົ່ງບອກວ່າປຸ່ມຕ່າງໆມີອັນໃດຄືກັນ. ຊື່ປຸ່ມ ແລະ ກຸ່ມບໍ່ຄວນຊ້ຳກັນ ແລະ ອາດຈະມີພຽງແຕ່ຕົວອັກສອນ ແລະ ຕົວເລກ.';
