<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'mimetypes', language 'lo', version '2.7'.
 *
 * @package     mimetypes
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['application/epub_zip'] = 'ປື້ມເອເລັກໂຕຼນິກ EPUB';
$string['application/msword'] = 'ເອກະສານຄຳສັບ';
$string['application/pdf'] = 'ເອກະສານ PDF';
$string['application/vnd.moodle.backup'] = 'ການສຳຮອງ Moodle';
$string['application/vnd.ms-excel'] = 'ສະເປຣດຊີດ Excel';
$string['application/vnd.ms-powerpoint'] = 'ການນໍາສະເຫນີ Powerpoint';
$string['archive'] = 'ເກັບ ({$a->EXT})';
$string['audio'] = 'ໄຟລ໌ສຽງ ({$a->EXT})';
$string['default'] = '{$a->mimetype}';
$string['document/unknown'] = 'ໄຟລ໌';
$string['image'] = 'ຮູບພາບ ({$a->MIMETYPE2})';
$string['text/html'] = 'ເອກະສານ HTML';
$string['text/plain'] = 'ໄຟລ໌ຂໍ້ຄວາມ';
$string['text/rtf'] = 'ເອກະສານ RTF';
