<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'tool_replace', language 'lo', version '2.7'.
 *
 * @package     tool_replace
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['disclaimer'] = 'ຂ້ອຍເຂົ້າໃຈຄວາມສ່ຽງຂອງການປະຕິບັດງານນີ້';
$string['doit'] = 'ແມ່ນແລ້ວ, ເຮັດໄດ້!';
$string['excludedtables'] = 'ຕາຕະລາງຫຼາຍອັນບໍ່ໄດ້ຖືກປັບປຸງເປັນສ່ວນໜຶ່ງຂອງການປ່ຽນຂໍ້ຄວາມ. ສິ່ງເຫຼົ່ານີ້ລວມມີການຕັ້ງຄ່າ, ບັນທຶກ, ເຫດການ, ແລະ ຕາຕະລາງກອງປະຊຸມ.';
$string['notifyfinished'] = '...ສຳເລັດແລ້ວ';
$string['notifyrebuilding'] = 'ກຳລັງສ້າງແຄດລາຍວິຊາຄືນໃໝ່...';
$string['notimplemented'] = 'ຂໍອະໄພ, ຄຸນສົມບັດນີ້ບໍ່ໄດ້ຖືກປະຕິບັດຢູ່ໃນຕົວຂັບເຄື່ອນຖານຂໍ້ມູນຂອງທ່ານ.';
$string['pageheader'] = 'ຄົ້ນຫາ ແລະ ປ່ຽນຂໍ້ຄວາມໃນທົ່ວຖານຂໍ້ມູນທັງໝົດ';
$string['pluginname'] = 'ຄົ້ນຫາ ແລະ ປ່ຽນແທນ DB';
$string['replacewith'] = 'ປ່ຽນແທນດ້ວຍສະຕຣິງນີ້';
$string['replacewithhelp'] = 'ປົກກະຕິແລ້ວ URL ເຊີເວີໃໝ່';
$string['searchwholedb'] = 'ຄົ້ນຫາຖານຂໍ້ມູນທັງໝົດສຳລັບ';
$string['searchwholedbhelp'] = 'ປົກກະຕິແລ້ວ URL ເຊີເວີກ່ອນໜ້າ';
$string['shortenoversized'] = 'ເຮັດໃຫ້ຜົນໄດ້ຮັບສັ້ນລົງຖ້າເປັນໄປໄດ້';
